curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/OneCrewRequest \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/OneCrewRequest"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/OneCrewRequest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": {},
"title": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"positions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"value": "<string>",
"nbPositions": "<string>",
"linkedJobPosting": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"state": "JOB_POSTING_STATE_UNSPECIFIED",
"assignedMembers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"givenName": "<string>",
"familyName": "<string>",
"avatarUrl": "<string>",
"primaryEmail": "<string>"
}
]
},
"listPipelineStages": [
{
"stageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"position": "<string>",
"colorRed": 127,
"colorGreen": 127,
"colorBlue": 127,
"isUnreviewed": true,
"isAccepted": true,
"isRejected": true,
"nbApplications": "<string>",
"candidateStatus": "PIPELINE_STAGE_CANDIDATE_STATUS_UNSPECIFIED"
}
]
}
],
"amountAllPositions": "<string>",
"assignedMembers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"givenName": "<string>",
"familyName": "<string>",
"avatarUrl": "<string>",
"primaryEmail": "<string>"
}
],
"author": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"givenName": "<string>",
"familyName": "<string>",
"avatarUrl": "<string>"
},
"state": "JOB_POSTING_STATE_UNSPECIFIED",
"locationIso31661": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}OneCrewRequest
RPC to get the one crew request
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
1
Define the timeout, in ms
1000
Body
Request for getting a one crew request
id of the crew request
Response
Success
Response for getting a one crew request
id of the crew request
id of the organisation
description of the crew request
Show child attributes
Show child attributes
title of the crew request
Timestamp when the crew request was created
"2023-01-15T01:30:15.01Z"
Timestamp when the crew request was updated
"2023-01-15T01:30:15.01Z"
list of crew request positions
Show child attributes
Show child attributes
amount of all number of positions in crew requests
list of document request items
Show child attributes
Show child attributes
member who created the crew request
Show child attributes
Show child attributes
state of the crew request
JOB_POSTING_STATE_UNSPECIFIED, JOB_POSTING_STATE_OPEN, JOB_POSTING_STATE_CLOSED location value